unit DlgsMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SRDlgs, StdCtrls, Buttons;

type
  TMainForm = class(TForm)
    SBCSVOpenDlg: TSpeedButton;
    SBCSVSaveDlg: TSpeedButton;
    SBExtSaveDlg: TSpeedButton;
    SBExtOpenDlg: TSpeedButton;
    SBSliderSaveDlg: TSpeedButton;
    SBSliderOpenDlg: TSpeedButton;
    CBDlgShowHelp: TCheckBox;
    CBDlgHideReadOnly: TCheckBox;
    ExtOpenDlg: TExtOpenDialog;
    ExtSaveDlg: TExtSaveDialog;
    CSVSaveDlg: TCSVSaveDialog;
    SliderOpenDlg: TSliderOpenDialog;
    SliderSaveDlg: TSliderSaveDialog;
    CSVOpenDlg: TCSVOpenDialog;
    procedure SBCSVOpenDlgClick(Sender: TObject);
    procedure SBExtOpenDlgClick(Sender: TObject);
    procedure SBSliderOpenDlgClick(Sender: TObject);
    procedure SBCSVSaveDlgClick(Sender: TObject);
    procedure SBExtSaveDlgClick(Sender: TObject);
    procedure SBSliderSaveDlgClick(Sender: TObject);
    procedure CBDlgShowHelpClick(Sender: TObject);
    procedure CBDlgHideReadOnlyClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.CBDlgShowHelpClick(Sender: TObject);
var Opt : TOpenOptions;
begin
  if CBDlgShowHelp.Checked then
    Opt:=CSVOpenDlg.Options+[ofShowHelp]
  else
    Opt:=CSVOpenDlg.Options-[ofShowHelp];
  CSVOpenDlg.Options:=Opt;
  CSVSaveDlg.Options:=Opt;
  ExtOpenDlg.Options:=Opt;
  ExtSaveDlg.Options:=Opt;
  SliderOpenDlg.Options:=Opt;
  SliderSaveDlg.Options:=Opt;
end;

procedure TMainForm.CBDlgHideReadOnlyClick(Sender: TObject);
var Opt : TOpenOptions;
begin
  if CBDlgShowHelp.Checked then
    Opt:=CSVOpenDlg.Options+[ofHideReadOnly]
  else
    Opt:=CSVOpenDlg.Options-[ofHideReadOnly];
  CSVOpenDlg.Options:=Opt;
  CSVSaveDlg.Options:=Opt;
  ExtOpenDlg.Options:=Opt;
  ExtSaveDlg.Options:=Opt;
  SliderOpenDlg.Options:=Opt;
  SliderSaveDlg.Options:=Opt;
end;

procedure TMainForm.SBCSVOpenDlgClick(Sender: TObject);
begin
  CSVOpenDlg.Execute;
end;

procedure TMainForm.SBExtOpenDlgClick(Sender: TObject);
begin
  ExtOpenDlg.Execute;
end;

procedure TMainForm.SBSliderOpenDlgClick(Sender: TObject);
begin
  SliderOpenDlg.Execute;
end;

procedure TMainForm.SBCSVSaveDlgClick(Sender: TObject);
begin
  CSVSaveDlg.Execute;
end;

procedure TMainForm.SBExtSaveDlgClick(Sender: TObject);
begin
  ExtSaveDlg.Execute;
end;

procedure TMainForm.SBSliderSaveDlgClick(Sender: TObject);
begin
  SliderSaveDlg.Execute;
end;

end.
